> ## Documentation Index
> Fetch the complete documentation index at: https://docs.memorylake.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# 更新技能

> 修改技能的标题或描述

```
PATCH /openapi/memorylake/api/v3/skills/{id}
```

修改技能的 `display_title` 和 `description`，只改您传入的字段。`name` 不能修改。

此端点不替换技能包。要替换，请[发布新版本](/features/memorylake/api-reference/skills/create-skill-version)。请求里带了 `package_ref` 或 `changelog` 会以 `400` 被拒绝。

<Note>
  **所需权限：** `skill:modify`
</Note>

### 路径参数

<ParamField path="id" type="string" required>
  技能 ID
</ParamField>

### 请求体

<ParamField body="display_title" type="string">
  新的控制台显示标题，最多 500 个字符。
</ParamField>

<ParamField body="description" type="string">
  新的描述。
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X PATCH 'https://app.memorylake.cn/openapi/memorylake/api/v3/skills/skill-2b0f5f9f4ea54767822f51f4940c8f24' \
    -H 'Authorization: Bearer sk_xxxxxx' \
    -H 'Content-Type: application/json' \
    -d '{
      "description": "Pulls filings, price history and analyst consensus, and drafts an equity research note"
    }'
  ```
</RequestExample>

### 响应

返回更新后的技能，结构与[获取技能](/features/memorylake/api-reference/skills/get-skill)相同。

<ResponseExample>
  ```json Success (200) theme={null}
  {
    "success": true,
    "data": {
      "id": "skill-2b0f5f9f4ea54767822f51f4940c8f24",
      "name": "equity-research",
      "display_title": "Equity Research",
      "description": "Pulls filings, price history and analyst consensus, and drafts an equity research note",
      "latest_version": 1,
      "latest_security_status": "safe",
      "created_at": "2026-08-21T09:12:44Z",
      "updated_at": "2026-09-02T11:20:31Z"
    }
  }
  ```
</ResponseExample>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.